org.apache.fop.pdf

## Class DestinationComparator

- java.lang.Object
- - org.apache.fop.pdf.DestinationComparator

- All Implemented Interfaces:
    Serializable, Comparator

      public class DestinationComparator
      extends Object
      implements Comparator, Serializable

  Comparator class to enable comparing (and hence sorting) of PDFDestination objects.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DestinationComparator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Object obj1, Object obj2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### DestinationComparator

          public DestinationComparator()

  - ### Method Detail

    - #### compare

          public int compare(Object obj1,
                             Object obj2)

      Specified by:
        `compare` in interface `Comparator`

Copyright © 2023 Apache Software Foundation. All rights reserved.